CMSIS-FreeRTOS: Timer Functions

| CMSIS-FreeRTOS Version 10.5.1 CMSIS-RTOS2 compliant FreeRTOS Implementation

- Main Page
- Usage and Description
- Reference

All Functions Groups Pages
Functions
Timer Functions
Event functions

Events generated by timer functions. More...

## Functions
void | EvrFreeRTOSTimers_TimerCreate (Timer_t pxNewTimer)
| Event on successful timer object create (Op) More...
void | EvrFreeRTOSTimers_TimerCreateFailed (void)
| Event on unsuccessful timer object create (Error) More...
void | EvrFreeRTOSTimers_TimerCommandSend (Timer_t pxTimer, uint32_t xCommandID, uint32_t xOptionalValue, uint32_t xReturn)
| Event on timer queue command send (Op) More...
void | EvrFreeRTOSTimers_TimerCommandReceived (Timer_t pxTimer, uint32_t xCommandID, uint32_t xOptionalValue)
| Event on timer queue command receive (Op) More...
void | EvrFreeRTOSTimers_TimerExpired (Timer_t pxTimer)
| Event on timer expire (Op) More...
void | EvrFreeRTOSTimers_PendFuncCall (PendedFunction_t pxFunctionToPend, void *pvParameter1, uint32_t ulParameter2, uint32_t xReturn)
| Event on pass of the function execution to the timer service task (Op) More...
void | EvrFreeRTOSTimers_PendFuncCallFromIsr (PendedFunction_t pxFunctionToPend, void *pvParameter1, uint32_t ulParameter2, uint32_t xReturn)
| Event on pass of the function execution to the timer service task from the ISR (Op) More...

## Description

## Function Documentation

void EvrFreeRTOSTimers_PendFuncCall | ( | PendedFunction_t | pxFunctionToPend,
|  | void * | pvParameter1,
|  | uint32_t | ulParameter2,
|  | uint32_t | xReturn
| ) |  |

Parameters

  [in] | pxFunctionToPend | pointer to callback function
  [in] | pvParameter1 | function parameter 1.
  [in] | ulParameter2 | function parameter 2.
  [in] | xReturn | return value.

The event PendFuncCall is generated before the function xTimerPendFunctionCall returns.

Value in the Event Recorder shows:

- pxFunctionToPend : callback function to execute from the timer service/deamon task.
- pvParameter1 : the value passed into the callback function as the first parameter.
- ulParameter2 : the value passed into the callback function as the second parameter.
- xReturn : execution status (1=callback passed to the timer sevice task, any other value: queue full, failed to register the callback execution)

void EvrFreeRTOSTimers_PendFuncCallFromIsr | ( | PendedFunction_t | pxFunctionToPend,
|  | void * | pvParameter1,
|  | uint32_t | ulParameter2,
|  | uint32_t | xReturn
| ) |  |

Parameters

  [in] | pxFunctionToPend | pointer to callback function
  [in] | pvParameter1 | function parameter 1.
  [in] | ulParameter2 | function parameter 2.
  [in] | xReturn | return value.

The event PendFuncCallFromIsr is generated before the function xTimerPendFunctionCallFromISR returns.

Value in the Event Recorder shows:

- pxFunctionToPend : callback function to execute from the timer service/deamon task.
- pvParameter1 : the value passed into the callback function as the first parameter.
- ulParameter2 : the value passed into the callback function as the second parameter.
- xReturn : execution status (1=callback passed to the timer sevice task, any other value: queue full, failed to register the callback execution)

void EvrFreeRTOSTimers_TimerCommandReceived | ( | Timer_t | pxTimer,
|  | uint32_t | xCommandID,
|  | uint32_t | xOptionalValue
| ) |  |

Parameters

  [in] | pxTimer | pointer to timer object handle.
  [in] | xCommandID | timer command ID.
  [in] | xOptionalValue | optional command value.

The event TimerCommandReceived is generated when the timer service task receives a command and before the command is actually processed.

Value in the Event Recorder shows:

- pxTimer : pointer to timer object handle (control block address).
- xCommandID : timer command ID.
- xOptionalValue : optional command value.

void EvrFreeRTOSTimers_TimerCommandSend | ( | Timer_t | pxTimer,
|  | uint32_t | xCommandID,
|  | uint32_t | xOptionalValue,
|  | uint32_t | xReturn
| ) |  |

Parameters

  [in] | pxTimer | pointer to timer object handle.
  [in] | xCommandID | timer command ID.
  [in] | xOptionalValue | optional command value.
  [in] | xReturn | return value.

The event TimerCommandSend is generated when a command is sent to the timer service task,

Value in the Event Recorder shows:

- pxTimer : pointer to timer object handle (control block address).
- xCommandID : timer command ID.
- xOptionalValue : optional command value.
- xReturn : execution status (0: failed, command was not sent to the timer command queue, 1: passed, command sent)

void EvrFreeRTOSTimers_TimerCreate | ( | Timer_t | pxNewTimer | ) |

Parameters

  [in] | pxNewTimer | pointer to timer object handle.

The event TimerCreate is generated when timer object is successfully created.

Value in the Event Recorder shows:

- pxNewTimer : pointer to timer object handle (control block address).

void EvrFreeRTOSTimers_TimerCreateFailed | ( | void |  | ) |

The event TimerCreateFailed is generated when timer object create fails due to insufficient heap memory.

void EvrFreeRTOSTimers_TimerExpired | ( | Timer_t | pxTimer | ) |

Parameters

  [in] | pxTimer | pointer to timer object handle.

The event TimerExpired is generated when a software timer expires and before the timer callback is executed.

Value in the Event Recorder shows:

- pxTimer : pointer to timer object handle (control block address).